Package com.avaya.clientservices.pushnotification.enums

## Enum PushNotificationActivationMode

- java.lang.Object
- - java.lang.Enum<PushNotificationActivationMode>
  - - com.avaya.clientservices.pushnotification.enums.PushNotificationActivationMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PushNotificationActivationMode>`

      public enum PushNotificationActivationMode
      extends java.lang.Enum<PushNotificationActivationMode>

  Enumeration representing mode for push notification activation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` | Push Notifications are disabled.
    `SIP` | Push Notification activation will be done using SIP.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushNotificationActivationMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PushNotificationActivationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final PushNotificationActivationMode DISABLED

      Push Notifications are disabled.

    - #### SIP

          public static final PushNotificationActivationMode SIP

      Push Notification activation will be done using SIP.

  - ### Method Detail

    - #### values

          public static PushNotificationActivationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PushNotificationActivationMode c : PushNotificationActivationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PushNotificationActivationMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null